Edit an Inbound Route
Edit the configuration of an inbound route.
Request URL
POST {base_url}/{api_path}/inbound_route/update?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| id | Yes | Integer | The unique ID of the inbound route.Note:You can query the inbound route's ID using Search Specific Inbound Routes. |
| name | No | String | The name of the inbound route. |
| alert_info | No | String | Inbound alert info. |
| did_option | No | String | DID matching mode. Valid value:
|
| did_pattern_list | No | Array<DID_Pattern_List> | The DID matching pattern list.Note:This parameter is required when the did_option is patterns. |
| did_pattern_to_ext | No | String | The DID pattern matching to extensions.Note:This parameter is required when the did_option is pattern_to_ext. |
| did_to_ext_start | No | String | The start number of the DID matching pattern range.Note:This parameter is required when the did_option is range_to_ext. |
| did_to_ext_end | No | String | The end number of the DID matching pattern range.Note:This parameter is required when the did_option is range_to_ext. |
| did_pattern_to_ext_list | No | Array<DID_Pattern_Ext_List> | The list of DID numbers and the corresponding extensions.Note:This parameter is required when the did_option is pattern_to_ext_list. |
| cid_option | No | String | Caller ID matching pattern.
|
| cid_pattern_list | No | Array<CID_Pattern_List> | The Caller ID matching pattern list.Note:This parameter is required when the cid_option is patterns. |
| cid_to_phonebook | No | Array<Integer> | The ID(s) of the selected phonebook(s).Note:
|
| trunk_list | No | Array<Trunk_List> | The list of the selected trunk in the inbound route. |
| def_dest | No | String | Default destination.
|
| def_dest_prefix | No | String | This parameter defines different settings depending on the value of def_dest.
|
| def_dest_value | No | String | This parameter defines different settings depending on the value of def_dest.
|
| def_dest_ext_list | No | Array<Ext_List> | The list of selected extensions/extension groups.Note:This parameter is required when the def_dest is set to pattern_to_ext. |
| ringback_tone | No | String | The filename of custom prompt (e.g. demo.wav) played for the caller before the extension user answers the call.Note:
|
DID_Pattern_List
| Parameter | Required | Type | Description |
|---|---|---|---|
| did_pattern | Yes | String | The DID matching rules.Note:The new rules will cover the original ones. |
DID_Pattern_Ext_List
| Parameter | Required | Type | Description |
|---|---|---|---|
| did_pattern | Yes | String | The specific DID number. |
| did_pattern_to_ext | Yes | String | The unique ID of the extension that corresponds to the DID number.Note:You can query the extension's ID using Search Specific Extensions. |
CID_Pattern_List
| Parameter | Required | Type | Description |
|---|---|---|---|
| cid_pattern | Yes | String | The Caller ID matching rules.Note:The new rules will cover the original ones. |
Trunk_List
| Parameter | Required | Type | Description |
|---|---|---|---|
| id | Yes | Integer | The unique ID of the selected trunk.Note:You can query the trunk's ID using Search Specific Trunks. |
| name | No | String | Trunk name. |
| type | No | String | Trunk type. |
Ext_List
| Parameter | Required | Type | Description |
|---|---|---|---|
| value | Yes | String | The unique ID of the extension/extension group.Note:
|
| name | No | String | The name of the extension/extension group. |
| number | No | String | Extension number. |
| type | No | String | The type of the selected item. Valid value:
|
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
Examples
Request example
Update the configurations of an inbound route (ID: "6").
POST /openapi/v1.0/inbound_route/update?access_token=zQcKT5W53FqJ72dCTMT1xKapH1YafYgs HTTP/1.1
Host: 192.168.5.150:8088
Content-Type: application/json
{
"id": 6,
"alert_info": "02156325",
"trunk_list": [
{
"id": 15
}
],
"did_pattern_list": [
{
"did_pattern": "999999"
},
{
"did_pattern": "888888"
}
],
"cid_pattern_list": [
{
"cid_pattern": "777777"
},
{
"cid_pattern": "666666"
}
]
}Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS"
}